Skip to main content

GET /gpdomains/v2/timeseries/encryption

GET 

gpdomains/v2/timeseries/encryption

Retrieve daily Google Postmaster v2 TLS encryption rates and message counts across all or filtered Google Postmaster v2 monitored domains

Query Parameters​

stats_date_from string Required
Start date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-07-06T00:00:00.000Z. Do not send timezone offsets

stats_date_to string Required
End date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-08-06T00:00:00.000Z. Do not send timezone offsets. The difference between stats_date_from and stats_date_to must not exceed 30 days

domain string
Filter Google Postmaster v2 domains by a domain name substring

profile_id string
Filter Google Postmaster v2 domains by profile ID

compliance string
Filter by domain compliance status. Accepts a comma-separated string or JSON array of values.

Returns

  • dataarray
    Daily TLS statistics in ascending UTC date order. Rates are averages across reported domain records and counts are summed message counts.
    • datestring
      UTC calendar date for the statistics
    • inbound_ratenumber
      Average inbound TLS encryption rate
    • inbound_countnumber
      Total inbound TLS-encrypted message count
    • outbound_ratenumber
      Average outbound TLS encryption rate
    • outbound_countnumber
      Total outbound TLS-encrypted message count
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error